*****************************************************
* Este ejemplo est con todas las clusulas informadas
* por motivos documentacionales
* 
* Los dems ejemplos tienen solamente las clusulas necesarias
* para su ejecucin
*****************************************************

*****************************************************
* Existen 3 secciones, todas opcionales
* STRUCTURE - ttulo del indicador
* INEQ      - parmetros de clculo del GINI
* SIDRA     - parmetros de grabacin para el SIDRA
*****************************************************

[STRUCTURE]

*****************************************************
* Declaracin del diccionario (obligatorio)
*****************************************************
WORKSPACE=BASE\PNAD_PARTE.dic

***********************
* Ttulo para la caja de ndices a ser ejecutados (opcional)
* De no existir se usa el nombre del archivo INL
***********************
CAPTION=Ejemplo completo

***********************
* Colores para la curva de Lorenz (opcional)
*
* De no existir, asume 
* COLOR=RED 
* COLORMIN=WHITE 
* COLORMAX=BLUE
*
* Pueden ser nombres de colores aceptados por el sistema
* (ver anexo en el manual),
* o nmeros en el formato RGB
* COLOR=0.128.0
***********************
COLOR=GREEN
COLORMIN=BLUE
COLORMAX=GREEN

[INEQ]

***********************
* Include para el Archivo de traducciones (opcional)
* De existir, este comando #INCLUDE tiene que ser en la seccin de [INEQ]
***********************
#include TRANSLATE_Esp.INL

***********************
* SELECCIONES Geogrficas (opcional)
*
* SELECTIONFIXED - seleccin nica
* SELECTIONN     - nmero de archivos para la
*                  caja de selecciones a elegir
*
* Si aparecen las dos, SELECTIONFIXED tiene preferencia
*
* De no existir, asume ALL
* Si al ejecutar, el archivo informado no existir, asume ALL
* Pueden ser archivos en formato .SEL o .SLW
***********************
*SELECTIONFIXED=AMAPA.SEL
SELECTIONN=4
SELECTION1=( TODA LA BASE )
SELECTION2=AMAPA.SEL
SELECTION3=ES.SEL
SELECTION4=RNORTE.SEL
SELECTIONLAST=2

****************************************
* Variables para elegir cual de ellas usar para el clculo del GINI
* Obligatoria la existencia de por lo menos 1 variable
* o entonces, especificar la variable por medio de la Expresin
* en el momento de la execucin del clculo (flecha azul)
****************************************
GINIVALUEN=5
GINIVALUE2=FAMILIA.V4722
GINIVALUE1=FAMILIA.V4726 
GINIVALUE3=DOMICIL.V4614
GINIVALUE4=PESSOA.V4720
GINIVALUE5=PESSOA.V4719
GINIVALUELAST=4

****************************************
* Expresiones de filtro (opcional)
*
* FILTERFIXED - filtro nico
* FILTERN     - nmero de filtros para la
*               caja de expresiones a elegir como filtro
*
* Si aparecen las dos, FILTERFIXED tiene preferencia
*
* FILTERCAPTION - texto descriptivo para la caja
* FILTERVALUE   - expresin del filtro en lenguaje SPC
****************************************
*FILTERFIXED=PESSOA.V4720 > 0 AND PESSOA.V4720 < 999999999
FILTERN=3
FILTERCAPTION1=( Ninguno )
FILTERCAPTION2=Viviendas particulares permanentes
FILTERVALUE2=DOMICIL.ESPECIE < 5
FILTERCAPTION3=Personas de 10 aos o ms
FILTERVALUE3=PESSOA.IDADE >= 10
FILTERLAST=3

****************************************
* Entidades para elegir cual de ellas ser contabilizada
* Deben ser entidades reales (no virtuales)
* Obligatria la existencia de por lo menos 1 entidad en la lista
* CNTx - nombres de entidades de la base
****************************************
CNTN=3
CNT3=PESSOA
CNT2=FAMILIA
CNT1=DOMICIL
CNTLAST=3

****************************************
* Peso a ser usado en el proceso (opcional)
*
* Si la base tiene pesos automticos en las entidades, 
*   usar la clusula WEIGHTAUTO=YES (por defecto es NO)
*
* Si aparecen WEIGHTAUTO y WEIGHTN, 
*    WEIGHTAUTO tiene preferencia
*  
****************************************
*WEIGHTAUTO=YES
WEIGHTN=4
WEIGHT1=( Sin peso )
WEIGHT2=PESSOA.PESOPES
WEIGHT3=FAMILIA.PESOFAM
WEIGHT4=DOMICIL.PESODOM
WEIGHTLAST=2

****************************************
* Nivel de salida
* Obligatria la existencia de por lo menos 1 nivel,
* aunque sea la raz (toda la encuesta)
* Entidades tienen que ser seleccionables
****************************************
GINIOUTN=4
GINIOUT1=PNAD
GINIOUT2=REGIAO
GINIOUT3=UF
GINIOUT4=RM
GINIOUTLAST=1

****************************************
* Nombres de rea para los elementos de la entidad de salida (opcional)
****************************************
AREALABELCHECKED=YES

****************************************
* Identificacin extra para la salida (opcional)
* Caso la identificacin de la entidad de salida
* no sea el cdigo compuesto, elegir
* cual la variable de la lista debe ser usada
* (en el caso de bases como la PNAD, que tiene una entidad con
* el ao de la encuesta, este campo es
* necesario para identificar solamente la REGIAO y UF, por ejemplo,
* sin agregar el ANO de la encuesta en el cdigo de identificacin)
****************************************
EXTRAIDENTLAST=3

****************************************
* Filtro adicional (opcional)
* Combinado con la informacin FILTER (AND)
*
* GINIMBRx     - nombres de variables categorizadas
* GINIMBRx.VLy - pr-marcacin de la categora y de la variable x 
****************************************
GINIMBRN=3
GINIMBR1=PESSOA.V0302
GINIMBR2=DOMICIL.SETORSIT
GINIMBR3=DOMICIL.V0202
GINIMBRLAST=2
GINIMBR1.VL2=YES

****************************************
* Nmero de puntos en la Curva de Lorenz (opcional)
* De no existir asume 2, 4, 5, 10, 20 y 100 puntos
*
* POINTx - un nmero seguido de un texto cualquier
* POINTLAST=nmero de puntos
****************************************
POINTS=3
POINT1=30 puntos
POINT2=50 puntos
POINT3=100 puntos
POINTLAST=50

****************************************
* Parmetros para los filtros de Theil (opcional)
*
* THEILVARx     - nombres de variables categorizadas
* THEILVARx.VLy - pr-marcacin de la categora y de la variable x 
****************************************
THEILVARN=3
THEILVAR1=PESSOA.V0302
THEILVAR2=DOMICIL.SETORSIT
THEILVAR3=DOMICIL.V0202
THEILVARLAST=3
THEILVAR2.VL1=YES

****************************************
* Lnea de pobreza (opcional)
*
* POVERTYLINE - valor de ingreso abajo del cual 
*               las personas son consideradas pobres
****************************************
POVERTYLINE=500

****************************************
* Omitir valores invlidos o ignorados (opcional)
* MISSINGVALUE - valor que simula el invlido en la base
*
* Necesario cuando existe un valor en la base que signifique
* un valor no informado, y que se necesite filtrar estos casos
* con este valor
****************************************
MISSINGVALUE=999999999

****************************************
* Omitir valores con cero (opcional)
****************************************
ZEROVALUECHECK=YES

****************************************
* Archivo de salida para los resultados del GINI (opcional)
****************************************
OUTPUTFILE=Output\gini1_OPUTPUT.txt

[SIDRA]
****************************************
* Parmetros para el SIDRA (opcional)
* SIDRAOPTION - elegir cual el valor a ser pasado para el SIDRA
*               1 - GINI
*               2 - Valor Promedio
*               3 - Promedio Acumulado
*               4 - Porcentaje
*               5 - Porcentaje Acumulada
* SIDRAPARM   - conjunto de parmetros especficos del SIDRA
*               tabla, ao, variable, etc.
* SIDRAOUTPUT - archivo de salida del SIDRA
****************************************
SIDRAOPTION=1
SIDRAPARM=T=1975 A=2005 V=4678 D=5 N=1 S1=5
SIDRAOUTPUT=OUTPUT\T1975_gini1.txt
